CON

  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000

  QU            = $22
  LF            = $0a

DAT

my_ip         byte      "192.168.0.50:3456", 0  'Change to desired IP address and port number for your Spinneret.
my_gateway    byte      "192.168.0.4", 0        'Change to IP address of your internet gateway.
my_subnetmask byte      "255.255.255.0", 0      'Probably do not need to change this.
my_macaddr    byte      "00 08 DC 16 F0 13", 0  'Change to value printed on Spinneret label.      
  
OBJ

  srv   : "http_helper"

PUB  start | request

  srv.start(@my_ip, @my_gateway, @my_subnetmask, @my_macaddr)
  repeat
    request := srv.request
    if (strcomp(request, string("/index")) or strcomp(request, string("/")))
      srv.begin_html_page(string("HTTP Helper Demo"), 0, string("#ccccaa"))
      srv.str(@html)
      srv.end_html_page
    elseif (strcomp(request, string("/arrow")))
      srv.begin_custom_content
      srv.str(@gif)
      if strcomp(srv.param(string("color")), string("blue"))
        srv.array(@blu_arrow, @blu_end - @blu_arrow)
      else
        srv.array(@grn_arrow, @grn_end - @grn_arrow)
      srv.end_custom_content 
    else
      srv.not_found 

DAT

html          byte      "    <div style=", QU, "font-family:sans-serif;font-weight:bold;font-size:20pt;color:navy;margin-left:30%;margin-right:30%", QU, ">", LF
              byte      "      <center>What Makes the P8X32A Propeller Special?</center><p>", LF
              byte      "      <div style=", QU, "font-size:14pt", QU, ">"
              byte      "        <img src=", QU, "/arrow?color=green", QU, "/> Eight 32-bit processors, running in parallel<br/>", LF
              byte      "        <img src=", QU, "/arrow?color=blue", QU, "/> High speed: 20MIPS per processor<br/>", LF
              byte      "        <img src=", QU, "/arrow?color=green", QU, "/> Simple programming using Spin language<br/>", LF
              byte      "        <img src=", QU, "/arrow?color=blue", QU, "/> TV video and VGA output capabilities<br/>", LF
              byte      "        <img src=", QU, "/arrow?color=green", QU, "/> Two very flexible counters per processor<br/>", LF
              byte      "        <img src=", QU, "/arrow?color=blue", QU, "/> Other features too numerous to mention, but mainly ...<p>", LF
              byte      "        <center>... support from an amazing company:<p>", LF
              byte      "        <img src=", QU, "http://www.parallax.com/sites/all/themes/zen/parallax5/logo.png", QU, "/></center>", LF
              byte      "      </div>", 0

gif           byte      "Content-type:image/gif", LF, LF, 0

blu_arrow     file      "blu_arrow.gif"
blu_end

grn_arrow     file      "grn_arrow.gif"
grn_end